/* CreateDefRefFile: procedure expose HomeDir name */
   parse arg HomeDir" "name" "ref" "options
   parse var options UseWiseCfg" "UseWiseData" "UseWiseLog" "UseWiseWork" "UseINIFile" "UseINIFiles
   /* Create default dsk file */
   ounit = Stream( ref, "Command", "OPEN WRITE")
   if ( ounit <> "READY:" ) then do
      return
   end
   call lineout ref, '/* */'
   call lineout ref, ' '
   call lineout ref, '/* common code to all programs */'
   call lineout ref, 'parse arg string'
   call lineout ref, 'string = strip(string)'
   call lineout ref, 'parse var string refLocation" "desLocation" "WiseManagerLoc'
   call lineout ref, ' '
   call lineout ref, 'WiseManagerLoc"\NetMD.exe "desLocation" >nul"'
   call lineout ref, 'WiseManagerLoc"\NetXCopy.exe "refLocation"\*.* "desLocation" >nul"'
   call lineout ref, 'if rc <> 0 then do'
   call lineout ref, '   say WiseManagerLoc"\NetXCopy "refLocation"\*.* "desLocation'
   call lineout ref, '   say "Operation failed with rc="rc'
   call lineout ref, '   return rc'
   call lineout ref, 'end'
   call lineout ref, 'WiseProg = SubStr(WiseManagerLoc,1,LastPos("\",WiseManagerLoc))'
   call lineout ref, '/* end of common code */'
   call lineout ref, ' '
   call lineout ref, '/* Unique operations to this program */'
   call lineout ref, 'WiseManagerLoc"\ICONCopy "refLocation"\'name'.ico "WiseManagerLoc"\'name'\'name'.ico"'
   if (UseWiseCfg=1) then 
      call lineout ref, 'WiseManagerLoc"\NetMD.exe "desLocation"\WiseCfg >nul"'
   else
      call lineout ref, '/* WiseManagerLoc"\NetMD.exe "desLocation"\WiseCfg >nul" */'
   if (UseWiseData=1) then 
      call lineout ref, 'WiseManagerLoc"\NetMD.exe "desLocation"\WiseData >nul"'
   else
      call lineout ref, '/* WiseManagerLoc"\NetMD.exe "desLocation"\WiseData >nul" */'
   if (UseWiseLog=1) then
      call lineout ref, 'WiseManagerLoc"\NetMD.exe "desLocation"\WiseLog >nul"'
   else
      call lineout ref, '/* WiseManagerLoc"\NetMD.exe "desLocation"\WiseLog >nul" */'
   if (UseWiseWork=1) then
      call lineout ref, 'WiseManagerLoc"\NetMD.exe "desLocation"\WiseWork >nul"'
   else
      call lineout ref, '/* WiseManagerLoc"\NetMD.exe "desLocation"\WiseWork >nul" */'
   if (UseINIFile=1) then
      call lineout ref, 'WiseManagerLoc"\NetXCopy.exe "desLocation"\'name'.ini "desLocation"\WiseCfg >nul"'
   else
      call lineout ref, '/* WiseManagerLoc"\NetXCopy.exe "desLocation"\'name'.ini "desLocation"\WiseCfg >nul" */'
   if (UseINIFiles=1) then
      call lineout ref, 'WiseManagerLoc"\NetXCopy.exe "desLocation"\*.ini "desLocation"\WiseCfg >nul"'
   else
      call lineout ref, '/* WiseManagerLoc"\NetXCopy.exe "desLocation"\*.ini "desLocation"\WiseCfg >nul" */'
   call lineout ref, '/* End of unique operations to this program */'
   call lineout ref, ' '
   call lineout ref, '"@exit"'
   ounit = Stream( ref, "Command", "CLOSE" )
return

